## bearer-qt-sample 0.1

=== Makefile ===
#############################################################################
# Makefile for building: build/bearer-qt-sample
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jul 20 14:37:08 2010
# Project:  qtprog.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile qtprog.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_MOBILITY_BEARER -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/arm-F-25-4/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/arm-F-25-4/usr/include/QtCore -I/targets/arm-F-25-4/usr/include/QtNetwork -I/targets/arm-F-25-4/usr/include/QtGui -I/targets/arm-F-25-4/usr/include -I/usr/include/QtBearer -I/targets/arm-F-25-4/usr/include -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lgq-gconf -L/usr/lib -lQtBearer -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/main.cpp \
		src/netmanager.cpp \
		src/networkapplication.cpp build/moc_netmanager.cpp \
		build/moc_networkapplication.cpp
OBJECTS       = build/main.o \
		build/netmanager.o \
		build/networkapplication.o \
		build/moc_netmanager.o \
		build/moc_networkapplication.o
DIST          = /targets/arm-F-25-4/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/lex.prf \
		qtprog.pro
QMAKE_TARGET  = bearer-qt-sample
DESTDIR       = build/
TARGET        = build/bearer-qt-sample

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qtprog.pro  /targets/arm-F-25-4/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/arm-F-25-4/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix -o Makefile qtprog.pro
/targets/arm-F-25-4/usr/share/qt4/mkspecs/common/unix.conf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/common/linux.conf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/qconfig.pri:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/debug.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/mobility.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/moc.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/resources.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/uic.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qtprog.pro

dist: 
	@$(CHK_DIR_EXISTS) build/bearer-qt-sample1.0.0 || $(MKDIR) build/bearer-qt-sample1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/bearer-qt-sample1.0.0/ && $(COPY_FILE) --parents src/netmanager.h src/networkapplication.h build/bearer-qt-sample1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/netmanager.cpp src/networkapplication.cpp build/bearer-qt-sample1.0.0/ && (cd `dirname build/bearer-qt-sample1.0.0` && $(TAR) bearer-qt-sample1.0.0.tar bearer-qt-sample1.0.0 && $(COMPRESS) bearer-qt-sample1.0.0.tar) && $(MOVE) `dirname build/bearer-qt-sample1.0.0`/bearer-qt-sample1.0.0.tar.gz . && $(DEL_FILE) -r build/bearer-qt-sample1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_netmanager.cpp build/moc_networkapplication.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_netmanager.cpp build/moc_networkapplication.cpp
build/moc_netmanager.cpp: src/netmanager.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/netmanager.h -o build/moc_netmanager.cpp

build/moc_networkapplication.cpp: src/networkapplication.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/networkapplication.h -o build/moc_networkapplication.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

build/main.o: src/main.cpp src/networkapplication.h \
		src/netmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/main.o src/main.cpp

build/netmanager.o: src/netmanager.cpp src/netmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/netmanager.o src/netmanager.cpp

build/networkapplication.o: src/networkapplication.cpp src/networkapplication.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/networkapplication.o src/networkapplication.cpp

build/moc_netmanager.o: build/moc_netmanager.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/moc_netmanager.o build/moc_netmanager.cpp

build/moc_networkapplication.o: build/moc_networkapplication.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/moc_networkapplication.o build/moc_networkapplication.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/usr/bin/ 
	-$(INSTALL_PROGRAM) "build/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/usr/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/divanov/qt-test-applications/bearer-qt-sample/data/bearer-qt-sample.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/bearer-qt-sample.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_service: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
	-$(INSTALL_FILE) /home/divanov/qt-test-applications/bearer-qt-sample/data/bearer-qt-sample.service $(INSTALL_ROOT)/usr/share/dbus-1/services/


uninstall_service:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/dbus-1/services/bearer-qt-sample.service
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 


install_icon48: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
	-$(INSTALL_FILE) /home/divanov/qt-test-applications/bearer-qt-sample/data/48x48/bearer-qt-sample.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/


uninstall_icon48:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/bearer-qt-sample.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 


install_icon64: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/

=== debian/changelog ===
bearer-qt-sample (0.1) unstable; urgency=low

  * Initial Release.

 -- Daniil Ivanov <daniil.ivanov@gmail.com>  Fri, 18 Jun 2010 17:58:19 +0300

=== debian/control ===
Source: bearer-qt-sample
Section: user/network
Priority: extra
Maintainer: Daniil Ivanov <daniil.ivanov@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, libgq-gconf-dev
Standards-Version: 3.7.3
Homepage: <insert the upstream URL, if relevant>

Package: bearer-qt-sample
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
# XB-Maemo-Icon-26 field contains the application icon file encoded in
# base64. This is the icon that is shown in the Application Manager,
# next to the package name. To perform this encoding use following mad
# command: $ mad base64 <48x48 icon file name>
# For example following XB-Maemo-Icon-26 field content is an output
# from command: $ mad base64 bearer-qt-sample/src/data/48x48/bearer-qt-sample.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oHFAsUIuWx8GEAAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAHpUlEQVRo3u2ZT6hcVx3HP995b14nj4SXGIKp
 nav4J2ShRmcWhs5dCWlBmrYIXShBioqg4Ea60FrdSItiraviQlBwoVjpRpKFtDGS4J1AkLmtXRgS
 aLF3bJUkmJD48jJv5n1dnHNnJtLMm8ybpy56Fu8O97xz7vn9+/6+v9+Bd8f/dmirG6SdurJm1+Pv
 WnlSAYQxMoBkbWTNwmmeVGwLiBMoa3QHaV5X1rh9n2lGZUuHz8PhW52kmub1Z9I8qQHItAV9iZ5Q
 D9M3fgrA9jVEH9RD3AD1W53kkazRdZonj6edpFHuve0CDDUmXgB9O2sUa2HG9wT9sgAsSAKoRo3X
 hEAsCO3AILwQhON+4EyaJwentUZlyy6UJ8cFnwVfLd9ZWjcORwLbRmIQvXYdDDaGXvg/lYctLHYa
 n0rz5PC2CJAG/ybt1JfTPDllfNQGW4NhYJlB0Lr6QD9oVxtxug9CsA7uC2G5jIdVYYTeB5xM8+SR
 uQuQNYqNVic5hHQR+LTCYQD2Di2A90V/rwLVMO9d8V14oqrQsjFYyyNQGbr+TuC3rbz+3UnnWZzR
 c64BXwKugytIC7J7Y/OP2eyRgvaRljAXw0+l4Cpig2CVGvBKFP2Xtl6V3LO1IXGPoDdX3E3zemUa
 F3un0Zo8V/2v5YFWp/5xSY8bX5W1gKgCN7JG8YMtAkLD9jHQdYVMsYS4mjWKZ+fqQkKfMjyhMZd1
 iMMtCYBJgScYQ4P4gWfnC6PiZjx1b0yoa1t1T8OqJBRyeJmwL809D9gOepFivjLW/OLMRoiY/zT/
 RCZUc/jSkso3sDIHYlazPcprwS33zg1G006irFnYuCt0EfF23KMGXJkyUBdKtRqMLdCg3Sxs8abQ
 BduXEUbaAX57vjDaqS9sBy1O82RplnWL03+g/h7QwaxRnE3z5AjwExhZwPaVdrP74BQHfRnYZbgF
 7mPtF3wtaxRn0jx5CPgecNH4n9FMbxh+1G52N+5agNJl0rxeA50ETgFnbd8n6QD2AaS7TSlHHPhO
 oHEYpPui03/A0MRqSooxoM+1m8XGXQdx4PqFW3myDDoONIC/x5C9FSlCr0QhxLUpEexmKawI64M1
 AGstwJrBDJAezprFCzOhUCww9gh+BxwJDDjiviJOlHA6fDEF0ijo3oFOj/IV0Rxhw3XE0axRnGh1
 kspMMdDq1A8DL9quq6wOiQkMdkSHGQ+8aWF0R7CAR+tFLepjZ3TGB7JGcRpgkvtMFEBwCDgP/BVx
 r6wPoZiuzDnEc4arClVX1eLGlFnqOxY1SX3DANhtyGNe7Bp9sTz8XMhc2klWECu29yPeaDe6l7YD
 RludRO1mYbZ7bIbX6QSfnUy169VpaPfUFkjz+rdAO4F1SlPbv2g3u69tRqdbnfpXJH0EWB35tk+0
 m93TrU79KUQNq488wOwG/bTdLC6kneRRxJ+yRvG3LScym+8HKDaSIoHTX4DXNqXT4kngg3iMNIQ/
 pwVPexjEKtV4DriA+AzmmTRPPpE1isGWinqN47rdi+XqzWnotKzLQ1iMp0e6EZ83NQRQ9xTE6EWl
 /QPxUdtn0k59Z4yNhZkE8LiTBY5eanlzOi0TOhVWhP6SWUb8V8wHkfiPVq7GXNEyOtnq1FfazcmW
 qEwIjpUxSZZCslVtOjqt3chDlhEYAcvxcDvKRDbMAybuG17bIDgs9Gorrx+clcy9HLn4Wuzt3Avu
 xiNtRqf/ILQKLt1qL+Z8/H0StAtxy7gP2g+8FS13XuiC8WUsAfsE3wC+Ok8YrW0HjKYTuhKtzp37
 pJqw6CVJe22vSepj3wt8PWt2X0o79QeRnr8TnW51kgUJDZEm8J5Bu9n1pIImzZOjwI+BS7HhuIx4
 K2sUD83iQg/EOB2Xtz72vCOdnhR4E+HRvB9xwHAgSAfCh2ariSOMRoToxVbBWsSctVnp9CZdibXh
 diqVpyuzolBp5DHoHGHOrHR6M1oQi/qQP+xxQL9rF1opaa/tkvbuKJ9boNOTLLB8Wy8l/N43G5WA
 JwU7EeuCAWi37XPRGuckzUanN2l+235u2FoMCro6bza6CYzW/z+au628fr/QkmEDe4OQhf/cbhaX
 Wp1kn8Qh7DVLFUHFdq/d7J6NTPaTtvaA+9EllmxfbDe7b6Z50gJXDRtCG7Zrkl7JGsWVVid5L+Jj
 kRvZpip5HZRljXeuFRYnOGR7jEmWYftl4OfCD4N+5vFgvz32XxR8+D+I1Q+Bb9rOJMYAAQzHgF8B
 jwk/b8faWYD1dNYs/jgLG70S8WUdtBrFiDVxeAa6wDpo+P/xVJciRVsH4n0Z1+Oa6/H2bN2wGhNW
 WWuveqTnDZsvZM1i5huaxfKaSCVg6nbUFF4EVWNLZLSXtRCDcHFMI5W4djFiWxWwxvcdjX8ZPt9u
 FsdnL2hgaQRoWooYXYlCVYa+Hd3L0tJoratC2FZwBWGXV6muDt0DluItZSVafVf84KNZo/j91gqa
 soViBsDNSKcH0QCDsrCJEDvuBki65fAcAINYC6zHubUoyAC4GS8JS3rxOvjYtIffxIW0L5QpClRM
 kuzYo/GvQb8B2THiNCqzMLQoFypIrtE160p5cxHvj5U1uoPIk05sf1eiUxfvjvmNfwPiXuOrvgRn
 cAAAAABJRU5ErkJggg==

Package: bearer-qt-sample-dbg
Section: text
Architecture: any
Depends: sample (= ${binary:Version})
Description: <insert up to 60 chars description> debug symbols
 <insert long description, indented with spaces> debug symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/bearer-qt-sample.sgml > bearer-qt-sample.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/bearer-qt-sample.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/bearer-qt-sample install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip --dbg-package=bearer-qt-sample-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
